# Makefile for platform

PLATDIR = $(shell pwd)
BINDIR  = $(PLATDIR)/../bin
PLATMODULELIST = debug diameter iptrans m2ua mtp3 public radius sccp scf smpp snmp tcap tcp xapp

.PHONY: all $(PLATMODULELIST) clean

# default all
all: $(PLATMODULELIST)

# plat module list
$(PLATMODULELIST):
	@echo "====================== make $@ ======================="
	@cd $(PLATDIR)/$@ && $(MAKE)
	# @if [ $@ = "iptrans" ]; then \
	# 	cd $(PLATDIR)/$@; \
	# 	./mkiptrans.sh; \
	# 	cp -f ./iptrans $(BINDIR); \
	# fi
	@cd -

# clean
clean:
	@for mod in $(PLATMODULELIST); do \
		echo "====================== clean $$mod ======================="; \
		cd $(PLATDIR)/$$mod && $(MAKE) clean; \
		cd -; \
	done

